aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/mvebu/base-files/etc/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/mvebu/base-files/etc/init.d')
-rwxr-xr-xtarget/linux/mvebu/base-files/etc/init.d/bootcount18
-rwxr-xr-xtarget/linux/mvebu/base-files/etc/init.d/linksys_recovery20
2 files changed, 18 insertions, 20 deletions
diff --git a/target/linux/mvebu/base-files/etc/init.d/bootcount b/target/linux/mvebu/base-files/etc/init.d/bootcount
new file mode 100755
index 0000000000..6e8e310849
--- /dev/null
+++ b/target/linux/mvebu/base-files/etc/init.d/bootcount
@@ -0,0 +1,18 @@
+#!/bin/sh /etc/rc.common
+
+START=99
+
+start() {
+ . /lib/functions.sh
+
+ case $(board_name) in
+ linksys,caiman |\
+ linksys,cobra |\
+ linksys,mamba |\
+ linksys,rango |\
+ linksys,shelby |\
+ linksys,venom)
+ mtd resetbc s_env || true
+ ;;
+ esac
+}
diff --git a/target/linux/mvebu/base-files/etc/init.d/linksys_recovery b/target/linux/mvebu/base-files/etc/init.d/linksys_recovery
deleted file mode 100755
index b4f375ec99..0000000000
--- a/target/linux/mvebu/base-files/etc/init.d/linksys_recovery
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/sh /etc/rc.common
-# Copyright (C) 2015-2016 OpenWrt.org
-# Copyright (C) 2016 LEDE-Project.org
-
-START=97
-boot() {
-. /lib/functions.sh
-
-case $(board_name) in
- linksys,caiman|linksys,cobra|linksys,mamba|linksys,rango|linksys,shelby|linksys,venom)
- # make sure auto_recovery in uboot is always on
- AUTO_RECOVERY_ENA="`fw_printenv -n auto_recovery`"
- if [ "$AUTO_RECOVERY_ENA" != "yes" ] ; then
- fw_setenv auto_recovery yes
- fi
- # reset the boot counter
- mtd resetbc s_env
- ;;
-esac
-}